import { IApiImageItem, IApiImageQuota, IApiImageDeleteResponse } from './api/image';
export interface IImagesApiConfig {
    oAuthToken?: string;
    skillId?: string;
}
export interface IImagesApi {
    uploadImageByUrl(url: string): Promise<IApiImageItem>;
    uploadImageFile(): Promise<IApiImageItem>;
    getImages(): Promise<IApiImageItem[]>;
    getImagesQuota(): Promise<IApiImageQuota>;
    deleteImage(imageId: string): Promise<IApiImageDeleteResponse>;
}
export declare class ImagesApi implements IImagesApi {
    private readonly _skillId;
    private readonly _oAuthToken;
    constructor(params: IImagesApiConfig);
    uploadImageByUrl(url: string): Promise<IApiImageItem>;
    uploadImageFile(): Promise<IApiImageItem>;
    getImages(): Promise<IApiImageItem[]>;
    getImagesQuota(): Promise<IApiImageQuota>;
    deleteImage(imageId: string): Promise<IApiImageDeleteResponse>;
    private _makeRequest;
}
