"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cardButtonBuilder_1 = require("./cardButtonBuilder");
class CardFooterBuilder {
    static createCardFooter(declaration) {
        if (typeof declaration === 'object') {
            const result = {
                text: declaration.text,
            };
            if (declaration.button) {
                result.button = cardButtonBuilder_1.CardButtonBuilder.createCardButton(declaration.button);
            }
            return result;
        }
        if (typeof declaration === 'string') {
            return {
                text: declaration,
            };
        }
        throw new Error('Card footer declaration is not of proper type. ' +
            'Could be only string or object.');
    }
}
exports.CardFooterBuilder = CardFooterBuilder;
