"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cardButtonBuilder_1 = require("./cardButtonBuilder");
class ItemsListCardImageBuilder {
    static createItemsListCardImage(declaration) {
        if (typeof declaration === 'object') {
            const result = {
                image_id: declaration.image_id,
                title: declaration.title,
                description: declaration.description,
            };
            if (declaration.button) {
                result.button = cardButtonBuilder_1.CardButtonBuilder.createCardButton(declaration.button);
            }
            return result;
        }
        if (typeof declaration === 'string') {
            return {
                image_id: declaration,
            };
        }
        throw new Error('Items list card header declaration is not of proper type. ' +
            'Could be only string or object.');
    }
}
exports.ItemsListCardImageBuilder = ItemsListCardImageBuilder;
