"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const debug_1 = __importDefault(require("../debug"));
class StageCompere {
    constructor(context) {
        this._context = context;
    }
    async enter(name) {
        await this._context.session.set(constants_1.CURRENT_SCENE_SESSION_KEY, name);
        debug_1.default(`scene changed for: ${name}`);
    }
    async leave() {
        await this._context.session.set(constants_1.CURRENT_SCENE_SESSION_KEY, constants_1.DEFAULT_SCENE_NAME);
        debug_1.default(`scene changed for: ${constants_1.DEFAULT_SCENE_NAME}`);
    }
}
exports.StageCompere = StageCompere;
