"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command/command");
const commandsGroup_1 = require("../command/commandsGroup");
class Scene {
    constructor(name) {
        this.name = name;
        this._anyCommand = null;
        this._commands = new commandsGroup_1.CommandsGroup();
    }
    command(declaration, callback) {
        this._commands.add(command_1.Command.createCommand(declaration, callback));
    }
    any(callback) {
        this._anyCommand = new command_1.Command(command_1.Command.createMatcherAlways(), callback);
    }
    async run(context) {
        const command = await this._commands.getMostRelevant(context);
        if (command) {
            return command.run(context);
        }
        if (this._anyCommand) {
            return this._anyCommand.run(context);
        }
        return null;
    }
}
exports.Scene = Scene;
